package com.io.yutian.elementoriginlib.config;

import org.bukkit.configuration.file.FileConfiguration;

public class MongodbConfig {

    private String host;
    private int port;
    private String database;
    private String username;
    private String password;

    public void load(FileConfiguration config) {
        host = config.getString("host", "127.0.0.1");
        port = config.getInt("port", 27017);
        database = config.getString("database", "admin");
        username = config.getString("username", "root");
        password = config.getString("password", "123456");
    }

    public String getHost() {
        return host;
    }

    public int getPort() {
        return port;
    }

    public String getDatabase() {
        return database;
    }

    public String getUsername() {
        return username;
    }

    public String getPassword() {
        return password;
    }
}
