package com.io.yutian.elementoriginlib.config;

import org.bukkit.configuration.file.FileConfiguration;

public class RedisConfig {

    private String server;
    private int port;
    private String password;

    public void load(FileConfiguration config) {
        server = config.getString("server", "localhost");
        port = config.getInt("port", 6379);
        password = config.getString("password");
        if (password != null && (password.isEmpty() || password.equals("none"))) {
            password = null;
        }
    }

    public String getServer() {
        return server;
    }

    public int getPort() {
        return port;
    }

    public String getPassword() {
        return password;
    }
}
