package com.io.yutian.elementoriginlib.command.interfaces;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.PARAMETER)
@Retention(RetentionPolicy.RUNTIME)
public @interface Parameter {

    String name() default "";

    boolean optional() default false;

    String defaultValue() default "";

    String suggestionType() default "";

}
