package com.io.yutian.elementoriginlib.shadowloader;

import javassist.ClassPool;
import javassist.CtClass;

public class BytecodeRewriter {

    public static byte[] rewriteClass(byte[] originalBytes, String originalName, String newName) throws Exception {
        ClassPool pool = ClassPool.getDefault();
        CtClass ct = pool.makeClass(new java.io.ByteArrayInputStream(originalBytes));
        ct.setName(newName);
        byte[] result = ct.toBytecode();
        ct.detach();
        return result;
    }
}